/*
 * Copyright 2012 dorkbox, llc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import dorkbox.Builder;

// setup source directories
public class Dirs {
    public static final String Dependencies = Builder.path(BuildStrings.ProjectPath.Resources, "Dependencies");

    public static final String JavaTar = mkDir("javatar");
    public static final String YAML = mkDir("yaml");
    public static final String WildCard = mkDir("wildcard");
    public static final String LzmaJava = mkDir("lzma-java");

    public static final String Java_Redist = Builder.path(BuildStrings.ProjectPath.Resources, "Java_Redist");
    public static final String OpenJDK_Runtime = Builder.path(Java_Redist, "openJDK_runtime");

    public static String mkDir(String dir) {
        return Builder.path(Dependencies, dir);
    }
}
